Skip to main content
`Ctrl`+`K`

# pandas.MultiIndex.from_tuples

classmethod MultiIndex.from_tuples(tuples, sortorder=None, names=None)

  Convert list of tuples to MultiIndex.

  Parameters:
    tuples list / sequence of tuple-likes

      Each tuple is the index of one row/column.

    sortorder int or None

      Level of sortedness (must be lexicographically sorted by that level).

    names list / sequence of str, optional

      Names for the levels in the index.

  Returns:
    MultiIndex

  See also

  `MultiIndex.from_arrays`

    Convert list of arrays to MultiIndex.

  `MultiIndex.from_product`

    Make a MultiIndex from cartesian product of iterables.

  `MultiIndex.from_frame`

    Make a MultiIndex from a DataFrame.

  Examples

      >>> tuples = [(1, 'red'), (1, 'blue'),
      ...           (2, 'red'), (2, 'blue')]
      >>> pd.MultiIndex.from_tuples(tuples, names=('number', 'color'))
      MultiIndex([(1,  'red'),
                  (1, 'blue'),
                  (2,  'red'),
                  (2, 'blue')],
                 names=['number', 'color'])